rte_eth_txq_info(3)

NAME
rte_eth_txq_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

struct rte_eth_txconf conf
uint16_t nb_desc
uint8_t queue_state

Detailed Description

Ethernet device Tx queue information structure. Used to retrieve information about configured queue.

Definition at line 1914 of file rte_ethdev.h.

Field Documentation

  struct rte_eth_txconf conf
queue config parameters.

Definition at line 1915 of file rte_ethdev.h.

  uint16_t nb_desc
configured number of TXDs.

Definition at line 1916 of file rte_ethdev.h.

  uint8_t queue_state
one of RTE_ETH_QUEUE_STATE_*.

Definition at line 1917 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.